### Method

# PangoOT Ruleset maybe_add_features

since: 1.18

#### Declaration [src]

    guint
    pango_ot_ruleset_maybe_add_features (
      PangoOTRuleset* ruleset,
      PangoOTTableType table_type,
      const PangoOTFeatureMap* features,
      guint n_features
    )

#### Description [src]

This is a convenience function that for each feature in the feature map array `features` converts the feature name to a `PangoOTTag` feature tag using PANGO_OT_TAG_MAKE() and calls `pango_ot_ruleset_maybe_add_feature()` on it.

Available since: 1.18

#### Parameters

`table_type`

  Type: `PangoOTTableType`

  The table type to add features to.

`features`

  Type: `PangoOTFeatureMap`

  Array of feature name and property bits to add.

  The data is owned by the caller of the method.

`n_features`

  Type: `guint`

  Number of feature records in `features` array.

#### Return value

Type: `guint`

The number of features in `features` that were found and added to `ruleset`.